> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 删除列表条目

> 删除收件箱范围的允许列表或阻止列表条目。



## OpenAPI

````yaml openapi/zh/agentmail.json DELETE /agentmail/inboxes/{inbox_id}/lists/{direction}/{type}/{entry}
openapi: 3.1.0
info:
  title: AgentMail API
  version: 1.0.0
  description: 通过 AIsa 统一网关公开的 AgentMail 电子邮件 API 端点。改编自上游 docs.agentmail.to OpenAPI 规范。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - Bearer: []
paths:
  /agentmail/inboxes/{inbox_id}/lists/{direction}/{type}/{entry}:
    delete:
      tags:
        - subpackage_inboxes.subpackage_inboxes/lists
      summary: 删除列表条目
      description: >-
        **CLI：**

        ```bash

        agentmail inboxes:lists delete --inbox-id <inbox_id> --direction
        <direction> --type <type> --entry <entry>

        ```
      operationId: delete_agentmail_inboxes_inbox_id_lists_direction_type_entry
      parameters:
        - name: inbox_id
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/type_inboxes_InboxId'
        - name: direction
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/type_lists_Direction'
        - name: type
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/type_lists_ListType'
        - name: entry
          in: path
          description: 电子邮件地址或域名。
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer 身份验证
          required: true
          schema:
            type: string
      responses:
        '200':
          description: 成功响应
        '404':
          description: 状态码为 404 的错误响应
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/type__ErrorResponse'
components:
  schemas:
    type_inboxes_InboxId:
      type: string
      description: 收件箱的 ID。
      title: InboxId
    type_lists_Direction:
      type: string
      enum:
        - send
        - receive
        - reply
      description: 列表条目的方向。
      title: Direction
    type_lists_ListType:
      type: string
      enum:
        - allow
        - block
      description: 列表条目的类型。
      title: ListType
    type__ErrorResponse:
      type: object
      properties:
        name:
          $ref: '#/components/schemas/type__ErrorName'
        message:
          $ref: '#/components/schemas/type__ErrorMessage'
      required:
        - name
        - message
      title: ErrorResponse
    type__ErrorName:
      type: string
      description: 错误名称。
      title: ErrorName
    type__ErrorMessage:
      type: string
      description: 错误消息。
      title: ErrorMessage
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````